curl --request GET \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Monthly QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
分析与套餐
获取已保存的分析报告
GET /analytics/report//update/
GET
/
analytics
/
report
/
{pk}
/
update
/
curl --request GET \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Monthly QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
获取单个已保存的分析报告。
需要具有
MANAGEMENT_API(或 MANAGEMENT_API_SANDBOX)配额的管理 API 密钥 —— 参见管理 API 概述。curl --request GET \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Monthly QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
相关内容
- 列出分析报告 —— 查找报告的
id。 - 更新已保存的分析报告 —— 重命名或修改它。
- 管理 API 概述 —— 此端点所属的身份验证方案和配额体系。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
200 - application/json
Report detail.
此页面对您有帮助吗?